Package org.apache.felix.http.base.internal.whiteboard

## Class FailureStateHandler

- java.lang.Object
- - org.apache.felix.http.base.internal.whiteboard.FailureStateHandler

    public class FailureStateHandler
    extends Object

### Constructor Summary

Constructors
`FailureStateHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFailure​(AbstractInfo<?> info, int reason)`
`void` `addFailure​(AbstractInfo<?> info, int reason, Exception ex)`
`void` `addFailure​(AbstractInfo<?> info, long contextId, int reason)`
`void` `addFailure​(AbstractInfo<?> info, long contextId, int reason, Exception ex)`
`void` `clear()` Remove all failures.
`void` `getRuntimeInfo​(FailedDTOHolder failedDTOHolder)`
`boolean` `remove​(AbstractInfo<?> info)`
`boolean` `remove​(AbstractInfo<?> info, long contextId)`
`boolean` `removeAll​(AbstractInfo<?> info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailureStateHandler

    public FailureStateHandler()

### Method Detail

#### clear

    public void clear()

Remove all failures.

#### addFailure

    public void addFailure​(AbstractInfo<?> info,
                           int reason,
                           Exception ex)

#### addFailure

    public void addFailure​(AbstractInfo<?> info,
                           int reason)

#### addFailure

    public void addFailure​(AbstractInfo<?> info,
                           long contextId,
                           int reason)

#### addFailure

    public void addFailure​(AbstractInfo<?> info,
                           long contextId,
                           int reason,
                           Exception ex)

#### remove

    public boolean remove​(AbstractInfo<?> info)

#### removeAll

    public boolean removeAll​(AbstractInfo<?> info)

#### remove

    public boolean remove​(AbstractInfo<?> info,
                          long contextId)

#### getRuntimeInfo

    public void getRuntimeInfo​(FailedDTOHolder failedDTOHolder)